OpenMPI 0.1.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Data Structures | Typedefs | Functions | Variables
base.h File Reference
`#include "ompi_config.h"`
`#include "opal/class/opal_list.h"`
`#include "opal/mca/mca.h"`
`#include "ompi/mca/mpool/mpool.h"`

Go to the source code of this file.

## Data Structures
struct | mca_mpool_base_selected_module_t

## Typedefs
typedef struct mca_mpool_base_selected_module_t | mca_mpool_base_selected_module_t

## Functions
static BEGIN_C_DECLS unsigned int | my_log2 (unsigned long val)
static void * | down_align_addr (void *addr, unsigned int shift)
static void * | up_align_addr (void *addr, unsigned int shift)
OMPI_DECLSPEC | OBJ_CLASS_DECLARATION (mca_mpool_base_selected_module_t)
OMPI_DECLSPEC int | mca_mpool_base_open (void)
| Function for finding and opening either all MCA components, or the one that was specifically requested via a MCA parameter.
OMPI_DECLSPEC int | mca_mpool_base_init (bool enable_progress_threads, bool enable_mpi_threads)
| Function for weeding out mpool modules that don't want to run. More...
OMPI_DECLSPEC int | mca_mpool_base_close (void)
OMPI_DECLSPEC mca_mpool_base_component_t * | mca_mpool_base_component_lookup (const char *name)
OMPI_DECLSPEC mca_mpool_base_module_t * | mca_mpool_base_module_create (const char *name, void *user_data, struct mca_mpool_base_resources_t *mpool_resources)
OMPI_DECLSPEC mca_mpool_base_module_t * | mca_mpool_base_module_lookup (const char *name)
OMPI_DECLSPEC int | mca_mpool_base_module_destroy (mca_mpool_base_module_t *module)

## Variables
OMPI_DECLSPEC int | mca_mpool_base_output
OMPI_DECLSPEC opal_list_t | mca_mpool_base_components
opal_list_t | mca_mpool_base_modules
OMPI_DECLSPEC uint32_t | mca_mpool_base_page_size
OMPI_DECLSPEC uint32_t | mca_mpool_base_page_size_log
int | mca_mpool_base_used_mem_hooks

## Function Documentation

OMPI_DECLSPEC int mca_mpool_base_init | ( | bool | enable_progress_threads,
|  | bool | enable_mpi_thread_multiple
| ) |  |

Function for weeding out mpool modules that don't want to run.

Call the init function on all available components to find out if they want to run. Select all components that don't fail. Failing modules will be closed and unloaded. The selected modules will be returned to the caller in a opal_list_t.

Referenced by ompi_mpi_init().